
public class Class129 {

   Class545_Sub1 aClass545_Sub1_1554;
   int anInt1555 = 0;
   int anInt1556 = 0;
   int anInt1557 = 0;
   Class141_Sub3 aClass141_Sub3_1558;
   Class135 aClass135_1559;
   Class141[] aClass141Array1560;


   boolean method2478(Class147 var1, int var2) {
      if(this.anInt1557 == 0) {
         return false;
      } else {
         this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2628(var1, var2);
         return true;
      }
   }

   boolean method2479(Class147 var1, int var2) {
      if(this.anInt1557 == 0) {
         return false;
      } else {
         this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2628(var1, var2);
         return true;
      }
   }

   void method2480(int var1, int var2, int var3, boolean var4, boolean var5) {
      var5 &= this.aClass545_Sub1_1554.method14688();
      if(!var5 && (var1 == 4 || var1 == 8 || var1 == 9)) {
         if(var1 == 4) {
            var3 = var2;
         }

         var1 = 2;
      }

      if(var1 != 0 && var4) {
         var1 |= Integer.MIN_VALUE;
      }

      if(this.anInt1557 != var1) {
         if(this.anInt1557 != 0) {
            this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2630();
         }

         if(var1 != 0) {
            this.aClass141Array1560[var1 & Integer.MAX_VALUE].method2625(var4);
            this.aClass141Array1560[var1 & Integer.MAX_VALUE].method2636(var4);
            this.aClass141Array1560[var1 & Integer.MAX_VALUE].method2627(var2, var3);
         }

         this.anInt1557 = var1;
         this.anInt1555 = var2;
         this.anInt1556 = var3;
      } else if(this.anInt1557 != 0) {
         this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2636(var4);
         if(this.anInt1555 != var2 || this.anInt1556 != var3) {
            this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2627(var2, var3);
            this.anInt1555 = var2;
            this.anInt1556 = var3;
         }
      }

   }

   boolean method2481(Class147 var1, int var2) {
      if(this.anInt1557 == 0) {
         return false;
      } else {
         this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2628(var1, var2);
         return true;
      }
   }

   boolean method2482(int var1) {
      return this.aClass141Array1560[var1].method2633();
   }

   void method2483(int var1, int var2, int var3, boolean var4, boolean var5) {
      var5 &= this.aClass545_Sub1_1554.method14688();
      if(!var5 && (var1 == 4 || var1 == 8 || var1 == 9)) {
         if(var1 == 4) {
            var3 = var2;
         }

         var1 = 2;
      }

      if(var1 != 0 && var4) {
         var1 |= Integer.MIN_VALUE;
      }

      if(this.anInt1557 != var1) {
         if(this.anInt1557 != 0) {
            this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2630();
         }

         if(var1 != 0) {
            this.aClass141Array1560[var1 & Integer.MAX_VALUE].method2625(var4);
            this.aClass141Array1560[var1 & Integer.MAX_VALUE].method2636(var4);
            this.aClass141Array1560[var1 & Integer.MAX_VALUE].method2627(var2, var3);
         }

         this.anInt1557 = var1;
         this.anInt1555 = var2;
         this.anInt1556 = var3;
      } else if(this.anInt1557 != 0) {
         this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2636(var4);
         if(this.anInt1555 != var2 || this.anInt1556 != var3) {
            this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2627(var2, var3);
            this.anInt1555 = var2;
            this.anInt1556 = var3;
         }
      }

   }

   boolean method2484(Class147 var1, int var2) {
      if(this.anInt1557 == 0) {
         return false;
      } else {
         this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2628(var1, var2);
         return true;
      }
   }

   boolean method2485(int var1) {
      return this.aClass141Array1560[var1].method2633();
   }

   boolean method2486(Class147 var1, int var2) {
      if(this.anInt1557 == 0) {
         return false;
      } else {
         this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2628(var1, var2);
         return true;
      }
   }

   boolean method2487(Class147 var1, int var2) {
      if(this.anInt1557 == 0) {
         return false;
      } else {
         this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2628(var1, var2);
         return true;
      }
   }

   Class129(Class545_Sub1 var1) {
      this.aClass545_Sub1_1554 = var1;
      this.aClass135_1559 = new Class135(var1);
      this.aClass141Array1560 = new Class141[16];
      this.aClass141Array1560[1] = new Class141_Sub4(var1);
      this.aClass141Array1560[2] = new Class141_Sub2(var1, this.aClass135_1559);
      this.aClass141Array1560[4] = new Class141_Sub5(var1, this.aClass135_1559);
      this.aClass141Array1560[5] = new Class141_Sub9(var1, this.aClass135_1559);
      this.aClass141Array1560[6] = new Class141_Sub1(var1);
      this.aClass141Array1560[7] = new Class141_Sub7(var1);
      this.aClass141Array1560[3] = this.aClass141_Sub3_1558 = new Class141_Sub3(var1);
      this.aClass141Array1560[8] = new Class141_Sub8(var1, this.aClass135_1559);
      this.aClass141Array1560[9] = new Class141_Sub6(var1, this.aClass135_1559);
      if(!this.aClass141Array1560[8].method2633()) {
         this.aClass141Array1560[8] = this.aClass141Array1560[4];
      }

      if(!this.aClass141Array1560[9].method2633()) {
         this.aClass141Array1560[9] = this.aClass141Array1560[8];
      }

   }

   boolean method2488(Class147 var1, int var2) {
      if(this.anInt1557 == 0) {
         return false;
      } else {
         this.aClass141Array1560[this.anInt1557 & Integer.MAX_VALUE].method2628(var1, var2);
         return true;
      }
   }
}
